import React, { Component } from "react";
import { bindActionCreators } from "redux";
import { connect} from 'react-redux';

import Form from "../components/Auth/authorisation";
import { getUsersData, closeModal } from "../actions/usersAuthActions";

import EditModal from "../components/Modal";

class RenderAuthorisation extends Component { 
  closeEditModal = () => {
    const { closeModal } = this.props;
    closeModal();
}     
    render() {
      const { showModal, inputData } = this.props
      const str = "Данные введены верно";
     
      return (
        <div>
          
          <Form {...this.props} />
          <EditModal visible={showModal}
                    onOk={this.closeEditModal}
                    onCancel={this.closeEditModal}
                    str={ str }
                    inputData={ inputData }
                />
        </div>       
      );
    }
}


const mapStateToProps = state => ({
  inputData: state.usersAuth.inputData,
  showModal: state.usersAuth.showModal
});

const mapDispatchToProps = dispatch => bindActionCreators({ getUsersData, closeModal }, dispatch);

export default RenderAuthorisation = connect(
  mapStateToProps,
  mapDispatchToProps
)(RenderAuthorisation);